resource "aws_s3_bucket" "data" {
  bucket = "{{ aws_data_bucket_name }}"
  force_destroy = true
  acl    = "private"
}

resource "aws_s3_bucket_policy" "data-policy" {
  bucket = aws_s3_bucket.data.id

  policy = <<POLICY
{
  "Version": "2012-10-17",
  "Id": "{{ project_slug|upper }}BUCKETPOLICY",
  "Statement": [
    {
      "Sid": "IPAllow",
      "Effect": "Allow",
      "Principal": "*",
      "Action": "s3:*",
      "Resource": "arn:aws:s3:::{{ aws_data_bucket_name }}/*"
    }
  ]
}
POLICY
}
